Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231423 - Review Request: giggle - A Gtk frontend to git
Summary: Review Request: giggle - A Gtk frontend to git
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 02:51 UTC by James Bowes
Modified: 2013-01-10 09:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-17 20:55:06 UTC
panemade: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description James Bowes 2007-03-08 02:51:02 UTC
Spec URL: http://jbowes.dangerouslyinc.com/tmp/giggle.spec
SRPM URL: http://jbowes.dangerouslyinc.com/tmp/giggle-0.1-1.src.rpm
Description:
Giggle is a graphical frontend for the git directory tracker (think of gitk on
GTK+).

Comment 1 Parag AN(पराग) 2007-03-09 07:36:32 UTC
You missed to use desktop-file-install command in SPEC to install .desktop files.
See http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Comment 2 James Bowes 2007-03-09 15:53:14 UTC
(In reply to comment #1)
> You missed to use desktop-file-install command in SPEC to install .desktop files.
> See http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Ah, good point. Updated spec and srpm are here:

Spec URL: http://jbowes.dangerouslyinc.com/tmp/giggle.spec
SRPM URL: http://jbowes.dangerouslyinc.com/tmp/giggle-0.1-2.src.rpm

Comment 3 Parag AN(पराग) 2007-03-12 06:30:07 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
26f43b6e79bd27701daeb83281cf1966  giggle-0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ Desktop file installed correclty.
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ GUI app.


Comment 4 Parag AN(पराग) 2007-03-12 06:33:09 UTC
It will be good if you avoid hardcoding version and name in SOURCE URL
Change 
http://ftp.imendio.com/pub/imendio/giggle/src/giggle-0.1.tar.gz
to 
http://ftp.imendio.com/pub/imendio/giggle/src/%{name}-%{version}.tar.gz

You can do that at time of importing a package. so for now I am approving this.

APPROVED.

Comment 5 Mamoru TASAKA 2007-03-12 07:24:01 UTC
From a quick look at -2 spec file it seems
that %{_datadir}/giggle/glade/ is not owned by any package.

Comment 6 Parag AN(पराग) 2007-03-12 07:36:17 UTC
Oops my eyes missed to catch that.
Thanks for catching that.


Comment 7 Mamoru TASAKA 2007-03-12 07:47:59 UTC
Okay, other things I noticed is that:
* perhaps "AUTHORS" should be added to %doc
* category "Application" (in desktop file) is deprecated and
  should be removed.

Comment 8 Parag AN(पराग) 2007-03-12 09:08:44 UTC
Looks wiki page http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
needs some cleanup on Category as not to have Application issue.

Comment 9 James Bowes 2007-03-15 20:52:09 UTC
New Package CVS Request
=======================
Package Name: giggle
Short Description: A Gtk frontend to git
Owners: jbowes@redhat.com
Branches: FC-6
InitialCC: 

Comment 10 James Bowes 2007-03-15 20:53:12 UTC
I'll make sure to fix up the other bits before I build. Thanks for the review!


Note You need to log in before you can comment on or make changes to this bug.